import request from '@/utils/request'

// 查询视频设备列表
export function listCamera(query) {
  return request({
    url: '/bd/camera/list',
    method: 'get',
    params: query
  })
}

// 查询视频设备详细
export function getCamera(id) {
  return request({
    url: '/bd/camera/' + id,
    method: 'get'
  })
}

// 新增视频设备
export function addCamera(data) {
  return request({
    url: '/bd/camera',
    method: 'post',
    data: data
  })
}

// 修改视频设备
export function updateCamera(data) {
  return request({
    url: '/bd/camera',
    method: 'put',
    data: data
  })
}

// 删除视频设备
export function delCamera(id) {
  return request({
    url: '/bd/camera/' + id,
    method: 'delete'
  })
}
